#include <iostream>

using namespace std;

const int MAXN = 100;
typedef int Hol[MAXN];
int N;
bool Van;
Hol Y;

void Beolvasas(int &N) {
  clog << "Vezerek szama (1<=N<=100) = ";
  cin >> N;
}

bool rossz(const int i, const int j, const Hol Y) {
  int k = 1;
  while (k < i and Y[k - 1] != j and i - k != abs(j - Y[k - 1])) {
    k = k + 1;
  }
  return k < i;
}

void Joesetkereses(const int N, const int i, const Hol Y, bool &Van, int &j) {
  j = Y[i - 1] + 1;
  while (j <= N and rossz(i, j, Y)) {
    j = j + 1;
  }
  Van = j <= N;
}

void Vezerek(const int N, bool &Van, Hol &Y) {
  for (int i = 0; i <= N - 1; i++) {
    Y[i] = 0;
  }
  int i = 1;
  while (i >= 1 and i <= N) {
    int j;
    Joesetkereses(N, i, Y, Van, j);
    if (Van) {
      Y[i - 1] = j;
      i++;
    } else {
      Y[i - 1] = 0;
      i--;
    }
  }
  Van = i > N;
}

void Kiiras(const int N, const bool Van, const Hol Y) {
  if (Van) {
    for (int i = 1; i <= N; i++) {
      cout << Y[i - 1] << " ";
    }
    cout << endl;
  } else {
    cout << "Nincs helyes megoldas" << endl;
  }
}

int main() {
  
  Beolvasas(N);
  Vezerek(N, Van, Y);
  Kiiras(N, Van, Y);
  
  return 0;
}