'''
 Input:
 N -- sakktáblaméret
'''
import sys

def Beolvasas():
    nemjo=True
    while nemjo:
        sys.stderr.write("Sakktabla merete:")
        try:
            N=int(input())           
            if N<0:
                sys.stderr.write("Pozitív egész számot kérek!")
			else:
				nemjo=False
        except:
            sys.stderr.write("Pozitív egész számot kérek!") 
    return N
  
def Rossz(i,j,Y):
    k=1
    while (k<i) and (Y[k]!=j) and (i-k!=abs(j-Y[k])):
        k+=1
    return k<i
  
def Joesetkereses(N,i,Y):
    j=Y[i]+1
    while (j<=N) and Rossz(i,j,Y):
        j+=1
    Van=j<=N
    return (Van,j)
  
def Vezerek(N):   
    i=1    
    Y=[0]*(N+1) #0. elemet nem használjuk
    while (i>=1) and (i<=N):
      (Van,j)=Joesetkereses(N,i,Y)
      if Van:
        Y[i]=j
        i+=1
      else:
        Y[i]=0
        i-=1
    Van=i>N
    return (Van,Y)
  
def Kiiras(Van,Y):
    if Van:
      for i in range(1,N+1):
        print(" "+str(Y[i])+"V")      
    else:
      print("Nincs helyes megoldas.")
    
N=Beolvasas()
(Van,Y)=Vezerek(N)
Kiiras(Van,Y)

    
