#include <iostream>

using namespace std;

const int MAXN = 100;
typedef int KiMennyihezErt[MAXN];
typedef int KiMihezErt[MAXN][MAXN];
typedef int MunkaSorszam[MAXN];
// Bemenet
int N;
KiMennyihezErt D;
KiMihezErt E;
// Kimenet
bool Van;
MunkaSorszam Y;

void Beolvasas(int &N, KiMennyihezErt D, KiMihezErt E) {
  clog << "Munkak szama (1<=N<=100) = ";
  cin >> N;
  for (int i = 0; i < N; i++) {
    clog << i + 1 << ". munkas vallalt munkainak szama = ";
    cin >> D[i];
    for (int j = 0; j < D[i]; j++) {
      int s;
      clog << "  " << j + 1 << ". vallalt munka sorszama = " << endl;
      cin >> E[i][j];
    }
  }
}

bool rossz(const int i, const int j, const KiMihezErt E, const MunkaSorszam Y) {
  int k = 1;
  while (k < i and E[k - 1][Y[k - 1] - 1] != E[i - 1][j - 1]) {
    k = k + 1;
  }
  return k < i;
}

void Joesetkereses(const int i, const KiMennyihezErt D, const KiMihezErt E, const MunkaSorszam Y, bool &Van, int &j) {
  j = Y[i - 1] + 1;
  while (j <= D[i-1] and rossz(i, j, E, Y)) {
    j = j + 1;
  }
  Van = j <= D[i-1];
}

void Munkak(const int N, const KiMennyihezErt D, const KiMihezErt E, bool &Van, MunkaSorszam &Y) {
  for (int i = 0; i <= N - 1; i++) {
    Y[i] = 0;
  }
  int i = 1;
  while (i >= 1 and i <= N) {
    int j;
    Joesetkereses(i, D, E, Y, Van, j);
    if (Van) {
      Y[i - 1] = j;
      i++;
    } else {
      Y[i - 1] = 0;
      i--;
    }
  }
  Van = i > N;
  if (Van) {
    for (int i = 1; i <= N; i++) {
      Y[i - 1] = E[i - 1][Y[i - 1] - 1];
    }
  }
}

void Kiiras(const int N, const bool Van, const MunkaSorszam Y) {
  if (Van) {
    for (int i = 1; i <= N; i++) {
      cout << Y[i - 1] << " ";
    }
    cout << endl;
  } else {
    cout << "Nincs helyes megoldas" << endl;
  }
}

int main() {
  
  Beolvasas(N, D, E);
  Munkak(N, D, E, Van, Y);
  Kiiras(N, Van, Y);
  
  return 0;
}