(*
* Input:
* N -- sakktáblaméret
*)
Program Feladat;
  Const
    MaxN=10;//a sakktábla maximális mérete
  Type
    THol=Array [1..MaxN] of Integer;//az egyes vezérek sorindexe
  Var
    //Bemenet
    N:Integer;
    //Kimenet:
    Van:Boolean;
    Y:THol;
    
  Function Beolvasas:Integer;
    Var
      i:Integer;
  Begin
    Write(StdErr,'Sakktabla merete (1..',MaxN,'):'); Readln(i);
    Beolvasas:=i;
  End;
  
  Function Rossz(Const i:Integer; Const j:Integer):Boolean;
   Var
     k:Integer;
  Begin
    k:=1;
    While (k<i) and (Y[k]<>j) and (i-k<>Abs(j-Y[k])) do Inc(k);
    Rossz:=k<i;
  End;
  
  Procedure Joesetkereses(Const i:Integer; Var Van:Boolean; Var j:Integer);
  Begin
    j:=Y[i]+1;
    While (j<=N) and Rossz(i,j) do Inc(j);
    Van:=j<=N;
  End;
  
  Procedure Vezerek(Const N:Integer; Var Van:Boolean; Var Y:THol);
    Var
      i,j:Integer;
  Begin
    i:=1; For j:=1 to N do Y[j]:=0;
    While (i>=1) and (i<=N) do
    Begin
      Joesetkereses(i,Van,j);
      If Van then 
      Begin
        Y[i]:=j; Inc(i);
      End
        else
      Begin
        Y[i]:=0; Dec(i);
      End;
    End;
    Van:=i>N;
  End;
  
  Procedure Kiiras;
    Var
      i:Integer;
  Begin
    If Van then
    Begin
      For i:=1 to N do
      Begin
        Write(Y[i],' ');
      End;
      Writeln;
    End
      else
    Begin
      Writeln('NINCS');
    End;
  End;
  
Begin
  N:=Beolvasas;
  Vezerek(N,Van,Y);
  Kiiras;
End.
    
