import sys
'''
* Input:
*  N -- munkák száma
*  D[1] -- 1. munkás vállalható munkák száma
*  E[1,1] -- 1. munkás által vállalható 1. munka sorszáma
*  ...
*  E[1,D[1]] -- 1. munkás által vállalható D[1]. munka sorszáma
*  ...
*  D[N] -- N. munkás vállalható munkák száma
*  E[N,1] -- N. munkás által vállalható 1. munka sorszáma
*  ...
*  E[N,D[N]] -- N. munkás által vállalható D[N]. munka sorszáma
'''

MaxN=100

def Beolvasás(): #soronként több számot vár
    D=[0]*(MaxN+1) #0. elemet nem fogjuk használni, hogy az algoritmustól ne térjünk el
    E=[[]]
    sys.stderr.write("Kérem a munkások számát!) ");
    
    N=int(input())                  
    sys.stderr.write("Kérem az egyes munkások által vállalható munkákat! (Először a darabszámot, majd felsorolva a munkákat!) ");
    
    for i in range(1,N+1):
        sor=input().split()
        szám=int(sor[0])                                
        D[i]=szám
        E.append([0])
        E[i]+=sor[1:] # az 1-es indextől kezdve a munkákat soroltuk fel
                      # lista+lista2 => új lista lesz
        
    return (N,D,E)
  
def Rossz( i,j,E,Y):
    k=1
    while (k<i) and (E[k][Y[k]]!=E[i][j]):
        k+=1
    Rossz=k<i
    return Rossz
  
def Jóesetkeresés(i,Y,D,E):
    j=Y[i]+1
    while (j<=D[i]) and Rossz(i,j,E,Y):
        j+=1
    Van=j<=D[i]
    return (Van,j)
  
def Munkák(N,D,E):
    Y=[0]*(N+1)
    i=1   
    while (i>=1) and (i<=N):   
      (Van,j)=Jóesetkeresés(i,Y,D,E)
      if Van: 
        Y[i]=j
        i+=1
      else:
        Y[i]=0
        i-=1
      
    Van=i>N
    if Van:    
      for i in range(1,N+1):
          Y[i]=E[i][Y[i]]
    return (Van,Y)

def Kiirás(Van,Y):
    if Van:
      sys.stderr.write("Munkas<->munkasorszam hozzarendelesek:")
      for i in range(1,N+1):      
        print(Y[i],end=" ")      
    else:
        print("Nincs helyes megoldas.")
    
  
(N,D,E)=Beolvasás()
(Van,Y)=Munkák(N,D,E)
Kiirás(Van,Y)

    
